## avc

ArtiVC is a version control system for large files

### Examples

```
  # Push data to the repository
  cd /path/to/my/data
  avc init s3://mybucket/path/to/repo
  avc push -m "my first commit"

  # Pull data from the repository
  cd /path/to/download
  avc init s3://mybucket/path/to/repo
  avc pull

  # Download by quick command
  avc get -o /path/to/download s3://mybucket/path/to/repo

  # Show command help
  avc <command> -h

  For more information, please check https://github.com/infuseai/artivc
```

### Options

```
  -h, --help   help for avc
```

### SEE ALSO

* [avc clone](/commands/avc_clone/)	 - Clone a workspace
* [avc completion](/commands/avc_completion/)	 - Generate the autocompletion script for the specified shell
* [avc config](/commands/avc_config/)	 - Configure the workspace
* [avc diff](/commands/avc_diff/)	 - Diff workspace/commits/references
* [avc docs](/commands/avc_docs/)	 - Generate docs
* [avc get](/commands/avc_get/)	 - Download data from a repository
* [avc init](/commands/avc_init/)	 - Initiate a workspace
* [avc list](/commands/avc_list/)	 - List files of a commit
* [avc log](/commands/avc_log/)	 - Log commits
* [avc pull](/commands/avc_pull/)	 - Pull data from the repository
* [avc push](/commands/avc_push/)	 - Push data to the repository
* [avc put](/commands/avc_put/)	 - Upload data to a repository
* [avc status](/commands/avc_status/)	 - Show the status of the workspace
* [avc tag](/commands/avc_tag/)	 - List or manage tags
* [avc version](/commands/avc_version/)	 - Print the version information

###### Auto generated by spf13/cobra on 24-Mar-2022
